Bug 227551 - [patch]security/openssh-portable 7.7.p1_1,1 tunnel forwarding broken
Summary: [patch]security/openssh-portable 7.7.p1_1,1 tunnel forwarding broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-16 13:02 UTC by rozhuk.im
Modified: 2018-05-16 09:58 UTC (History)
3 users (show)

See Also:


Attachments
patch (1008 bytes, patch)
2018-04-16 13:02 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Bryan Drewery freebsd_committer 2018-05-03 23:39:21 UTC
Thanks for the heads up, fixed now.
Comment 2 commit-hook freebsd_committer 2018-05-03 23:39:36 UTC
A commit references this bug:

Author: bdrewery
Date: Thu May  3 23:39:11 UTC 2018
New revision: 468998
URL: https://svnweb.freebsd.org/changeset/ports/468998

Log:
  - Add XMSS option to enable experimental key support added in 7.7 [1]
  - Bring in upstream patches post 7.7 to fix various issues [2]:
    b81b2d120e9c8a83489e241620843687758925ad - Fix tunnel forwarding broken in 7.7p1
    341727df910e12e26ef161508ed76d91c40a61eb - don't kill ssh-agent's listening socket entriely if we fail to accept a connection
    85fe48fd49f2e81fa30902841b362cfbb7f1933b - don't free the %C expansion, it's used later for LocalCommand
    868afa68469de50d8a43e5daf867d7c624a34d20 - Disable SSH2_MSG_DEBUG messages for Twisted Conch clients
    f5baa36ba79a6e8c534fb4e0a00f2614ccc42ea6 - Omit 3des-cbc if OpenSSL built without DES

  PR:		227758 [1]
  Submitted by:	IWAMOTO Kouichi <sue@iwmt.org> [1]
  PR:		227551 [2]
  Reported by:	rozhuk.im@gmail.com [2]
  Obtained from:	upstream mirror https://github.com/openssh/openssh-portable [2]

Changes:
  head/security/openssh-portable/Makefile
  head/security/openssh-portable/files/patch-341727df910e12e26ef161508ed76d91c40a61eb
  head/security/openssh-portable/files/patch-85fe48fd49f2e81fa30902841b362cfbb7f1933b
  head/security/openssh-portable/files/patch-868afa68469de50d8a43e5daf867d7c624a34d20
  head/security/openssh-portable/files/patch-b81b2d120e9c8a83489e241620843687758925ad
  head/security/openssh-portable/files/patch-f5baa36ba79a6e8c534fb4e0a00f2614ccc42ea6
Comment 3 huanghwh 2018-05-16 09:58:41 UTC
This also fixed ssh in CURRENT base:
https://svnweb.freebsd.org/base?view=revision&revision=333490